> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-55d9d317.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 服务备份列表

> 返回该服务的所有备份列表。列表中最新的备份排在最前面。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backups
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backups:
    get:
      tags:
        - Backup
      summary: 服务备份列表
      description: 返回该服务的所有备份列表。列表中最新的备份排在最前面。
      parameters:
        - description: 拥有该备份的组织 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 创建该备份时所属的服务 ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Backup'
                    type: array
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，服务器无法或不愿处理该请求。
components:
  schemas:
    Backup:
      properties:
        backupName:
          description: 外部备份 bucket 中的备份名称。
          type: string
        bucket:
          description: 存储该备份的备份 bucket。
          oneOf:
            - $ref: '#/components/schemas/AwsBackupBucketProperties'
            - $ref: '#/components/schemas/GcpBackupBucketProperties'
            - $ref: '#/components/schemas/AzureBackupBucketProperties'
        durationInSeconds:
          description: 执行备份所耗费的时间（以秒为单位）。如果状态仍为 in_progress，则表示从备份开始到当前经过的秒数。
          type: number
        finishedAt:
          description: 备份完成时间戳。ISO-8601。仅适用于已完成的备份
          format: date-time
          type: string
        id:
          description: 唯一备份 ID。
          format: uuid
          type: string
        serviceId:
          description: '名称 '
          type: string
        sizeInBytes:
          description: 备份大小（以字节为单位）。
          type: number
        startedAt:
          description: 备份开始时间戳。ISO-8601。
          format: date-time
          type: string
        status:
          description: 备份状态：'done'、'error'、'in_progress'。
          enum:
            - done
            - error
            - in_progress
          type: string
        type:
          description: 备份类型（"full" 或 "增量"）。
          enum:
            - full
            - incremental
          type: string
    AwsBackupBucketProperties:
      properties:
        bucketPath:
          description: 存储桶路径
          type: string
        bucketProvider:
          description: 存储桶提供商
          enum:
            - AWS
          type: string
        iamRoleArn:
          description: AWS IAM Role
          type: string
        iamRoleSessionName:
          description: AWS IAM Role
          type: string
    GcpBackupBucketProperties:
      properties:
        accessKeyId:
          description: 访问密钥 ID（HMAC 密钥）
          type: string
        bucketPath:
          description: 存储桶路径
          type: string
        bucketProvider:
          description: 存储桶提供商
          enum:
            - GCP
          type: string
    AzureBackupBucketProperties:
      properties:
        bucketProvider:
          description: 存储桶提供商
          enum:
            - AZURE
          type: string
        containerName:
          description: 容器名称
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````